package fileChooser;

import javax.swing.JFrame;
import javax.swing.JOptionPane;
import java.io.*;

/**
 *
 * @author tadaki
 */
public class FileChooserUtil {

    /**
     * エラーを示すダイアログを表示
     * @param message エラーメッセージ
     */
    static public void showError(String message) {
        JOptionPane.showMessageDialog(
                new JFrame(), message, "エラー発生",
                JOptionPane.ERROR_MESSAGE);
    }

    /**
     * メッセージを示すダイアログを表示
     * @param message エラーメッセージ
     */
    static public void showMessage(String message) {
        JOptionPane.showMessageDialog(
                new JFrame(), message, "メッセージ",
                JOptionPane.INFORMATION_MESSAGE);
    }

    /**
     * 上書き保存の確認ダイアログを表示
     * @param filename　保存先ファイル名
     * @return 上書きする場合true
     */
    static public boolean checkOverwrite(File file) {
        boolean b = true;
        if (file.isFile()) {
            String message = file.getName() + "は存在します。上書きしますか？";
            int answer = JOptionPane.showConfirmDialog(
                    new JFrame(), message, "上書き確認",
                    JOptionPane.OK_CANCEL_OPTION);
            if (answer != JOptionPane.OK_OPTION) {
                b = false;
            }
        }
        return b;
    }
}
