package fileChooser;

import graphLib.Network;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;

/**
 * Abstract class for File IO
 * @author tadaki
 */
public abstract class NetworkFile {

    protected String enc = "UTF-8";
    private String comments[]=null;
    abstract public boolean output(
            Network network, String outputFile, String path)
            throws IOException;

    abstract public boolean output(Network network, String outputFile)
            throws IOException;

    abstract public boolean output(Network network, OutputStreamWriter swriter)
            throws IOException;

    abstract public Network input(String filename)
            throws IOException;

    abstract public Network input(File file)
            throws IOException;

    abstract public Network input(InputStreamReader sreader)
            throws IOException;

    public String[] getComments() {
        return comments;
    }

    public void setComments(String[] comments) {
        this.comments = comments;
    }
}
