package graphLib;

/**
 *
 * @author tadaki
 */
public class Network extends Graph {

    /** Creates a new instance of Network */
    public Network(String name) {
        super(name);
    }

    public Network(final Network network) {
        this(network, true);
    }

    public Network(final Network network, boolean copyArcs) {
        super((Graph) network, copyArcs);
    }

    public Network(final Graph graph) {
        this(graph, true);
    }

    public Network(final Graph graph, boolean copyArcs) {
        super(graph, copyArcs);
    }

    public Arc addArc(String fromName, String toName, String name, double w) {
        Arc a = super.addArc(fromName, toName, name);
        a.setWeight(w);
        return a;
    }

    public Arc addArc(Vertex from, Vertex to, String name, double w) {
        Arc a = super.addArc(from, to, name);
        a.setWeight(w);
        return a;
    }

    public void setNameWithWeight(boolean nameWithWeight) {
        for (Arc a : arcs) {
            a.setNameWithWeight(nameWithWeight);
        }
    }

    public void setNameWithFlow(boolean nameWithFlow) {
        for (Arc a : arcs) {
            a.setNameWithFlow(nameWithFlow);
        }
    }
}
